Name: lftp
Version: 4.9.2
Release: 1
License: GPL-3.0-or-later
Summary: Sophisticated file transfer program
Url: http://lftp.yar.ru/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

BuildRequires: bzip2-devel
BuildRequires: zlib-devel
BuildRequires: expat-devel
BuildRequires: openssl-devel >= 1.1.1
BuildRequires: readline-devel
BuildRequires: gettext-tools
BuildRequires: pkg-config

Source0: http://lftp.yar.ru/ftp/lftp-%{version}.tar.xz

Patch0: lftp-fix-poll-hang.patch

%description
LFTP is a sophisticated file transfer program supporting a number of network protocols (ftp, http, sftp, fish, torrent). Like BASH, it has job control and uses the readline library for input. It has bookmarks, a built-in mirror command, and can transfer several files in parallel. It was designed with reliability in mind.

%prep
%setup -q

%patch0 -p1

cd src
perl -p -i -e 's|/usr/bin/perl|%{_bindir}/perl|g' convert-mozilla-cookies verify-file
perl -p -i -e 's|/bin/bash|%{_bindir}/bash|g' xdg-move
perl -p -i -e 's|/bin/sh|/QOpenSys/usr/bin/sh|g' import-ncftp import-netscape


%build

autoreconf -fi

%configure \
  ac_cv_posix_fadvise=no \
  CPPFLAGS="-I%{_includedir} -I%{_includedir}/ncurses" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --enable-threads=posix \
  --enable-shared \
  --with-openssl=%{_prefix} \
  --without-libresolv \
  --with-readline=%{_prefix} \
  --without-gnutls \
  --with-zlib=%{_prefix} \
  --with-expat=%{_prefix} \
  --disable-static \
  --disable-nls \
  --disable-rpath \
  # end

%make_build


%install

%make_install

rm -r %{buildroot}/%{_datadir}/applications
rm -r %{buildroot}/%{_datadir}/icons
rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%config(noreplace) %{_sysconfdir}/lftp.conf

%{_bindir}/lftp
%{_bindir}/lftpget

%{_libdir}/liblftp-jobs.a
%{_libdir}/liblftp-tasks.a

%{_datadir}/lftp

%{_mandir}/man1/lftp.1*
%{_mandir}/man1/lftpget.1*

%{_mandir}/man5/lftp.conf.5*

%changelog
* Tue Jul 19 2022 Kevin Adler <kadler@us.ibm.com> - 4.9.2
- Bump to 4.9.2
- Add patch for ftps hang

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.8.3
- Use brp-rm-libtool-files

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 4.8.3
- Use generic paths for man and info pages to allow for compression

* Tue Jan 28 2020 Kevin Adler <kadler@us.ibm.com> - 4.8.3
- Prevent using broken posix_fadvise

* Tue Dec 17 2019 Mark Irish <mirish@ibm.com> - 4.8.3
- Use SPDX license identifier

* Mon Aug 05 2019 Mark Irish <mirish@ibm.com> - 4.8.3
- Update openssl to 1.1.1

* Mon Mar 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Add build requirements for chroot builds
- Fix perl scripts for chroot builds

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Add build requirements

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds
- OBJECT_MODE now always set by build and install macros

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Initial commit
